<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Support\Facades\Auth;

abstract class Controller
{
    /**
     * Get the authenticated user instance.
     * 
     * @return \App\Models\User|null
     */
    protected function user(): ?User
    {
        return Auth::user();
    }
}
